// 通用设置api文件
import request from '@/utils/request'
import qs from 'qs'
let api = '/api-web'

// 查询用户未读消息条数
export function queryCountOfUnread(data) {
    return request({
        url: api + '/sysMessage/queryCountOfUnread',
        method: 'get',
        params: data
    })
} 

// 获取所有消息列表
export function sysMessageList(data) {
    return request({
        url: api + '/sysMessage/list',
        method: 'get',
        params: data
    })
} 

// 获取所有消息列表
export function setRead(data) {
    return request({
        url: api + '/sysMessage/setRead',
        method: 'post',
        data: qs.stringify(data)
    })
} 

// 查询课程投诉详情
export function queryCourseScheduleComplaintsDetail(data) {
    return request({
        url: api + '/courseSchedule/queryCourseScheduleComplaintsDetail',
        method: 'get',
        params: data
    })
} 

// 课程投诉审核
export function courseScheduleCommplaintAudit(data) {
    return request({
        url: api + '/courseSchedule/courseScheduleCommplaintAudit',
        method: 'post',
        data: qs.stringify(data)
    })
} 

// 获取vip课基本信息
export function queryApplyRefundDetail(data) {
    return request({
        url: api + '/vipGroupManage/queryApplyRefundDetail',
        method: 'get',
        params: data
    })
} 

// 退课申请审核
export function applyRefundAudit(data) {
    return request({
        url: api + '/vipGroupManage/applyRefundAudit',
        method: 'POST',
        data: qs.stringify(data)
    })
} 

// 退团单查询
export function musicGroupQuit(data) {
    return request({
        url: api + '/musicGroupQuit/query',
        method: 'get',
        params: data
    })
} 

// 退团申请审核
export function quitMusicGroup(data) {
    return request({
        url: api + '/musicGroupQuit/quitMusicGroup',
        method: 'POST',
        data: qs.stringify(data)
    })
} 

// 教师请假记录详情
export function leaveQueryDetail(data) {
    return request({
        url: api + '/teacherLeaveRecord/queryDetail',
        method: 'get',
        params: data
    })
} 

// 请假审核
export function approve(data) {
    return request({
        url: api + '/teacherLeaveRecord/approve',
        method: 'POST',
        data: qs.stringify(data)
    })
} 

// vip课审核
export function vipApplyAudit(data) {
    return request({
        url: api + '/vipGroupManage/vipApplyAudit',
        method: 'POST',
        data: qs.stringify(data)
    })
} 


